%define intversion 3070701

Distribution:	CCux
Packager:  	Karsten Brockmann <brockmka@rz.fh-augsburg.de>

Summary:   	SQLite is a small C library that implements a self-contained, embeddable, zero-configuration SQL database engine.
Name:      	sqlite
Version:   	3.7.7.1
Release:   	1
License: 	GNU/GPL
URL:		http://www.sqlite.org/	
Group:     	Databases
Source0: 	%{name}-autoconf-%{intversion}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: ncurses-devel
BuildRequires: pkg-config
BuildRequires: readline-devel

# ensure playload compression algorithm to be bz2
# for compatibility reasons
%define _source_payload w9.bzdio
%define _binary_payload w9.bzdio

%description
SQLite is a small C library that implements a self-contained, embeddable, zero-configuration SQL database engine. Features include: 
Transactions are atomic, consistent, isolated, and durable (ACID) even after system crashes and power failures. 
Zero-configuration - no setup or administration needed.
Implements most of SQL92. (Features not supported)
A complete database is stored in a single disk file.
Database files can be freely shared between machines with different byte orders.
Supports databases up to 2 terabytes (241 bytes) in size.
Sizes of strings and BLOBs limited only by available memory.
Small code footprint: less than 30K lines of C code, less than 250KB code space (gcc on i486)
Faster than popular client/server database engines for most common operations.
Simple, easy to use API.
TCL bindings included. Bindings for many other languages  available separately.
Well-commented source code with over 95% test coverage.
Self-contained: no external dependencies.
Sources are in the public domain. Use for any purpose.
The SQLite distribution comes with a standalone command-line access program (sqlite) that can be used to administer an SQLite database and which serves as an example of how to use the SQLite library. 

%post
ldconfig

%postun
ldconfig

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%prep
%setup -q -n %{name}-autoconf-%{intversion}

%build
CFLAGS="$RPM_OPT_FLAGS -DSQLITE_ENABLE_FTS3=1 -DSQLITE_SECURE_DELETE=1 -DSQLITE_ENABLE_UNLOCK_NOTIFY=1"
./configure --prefix=%{_prefix} --mandir=%{_mandir} --enable-threadsafe --enable-readline --enable-dynamic-extensions --enable-threads-override-locks
make

%install 
rm -rf $RPM_BUILD_ROOT 
make install DESTDIR="$RPM_BUILD_ROOT" 
cd $RPM_BUILD_ROOT%_libdir
#ln -sf libsqlite3.so.0.8.6 $RPM_BUILD_ROOT%_libdir/libsqlite3.so
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/sqlite3
%{_libdir}/libsqlite3.so.*
%{_mandir}/man1/sqlite3.1.gz

%files devel
%defattr(-,root,root)
%_includedir/sqlite3.h
%_includedir/sqlite3ext.h
%_libdir/libsqlite3.a
%_libdir/libsqlite3.la
%_libdir/libsqlite3.so
%{_pkgconfig}/sqlite3.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 27 2011 Karsten Brockmann <arcam@ccux-linux.de> 3.7.7.1-1
- Version update
* Fri Dec 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.7.4-1
- Version update
* Sat Oct 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.7.3-1
- Version update
* Wed Sep 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.7.2-2
- built with SQLITE_ENABLE_UNLOCK_NOTIFY enabled for firefox 4.0
* Thu Sep 09 2010 Christian Metzen <metzench@ccux-linux.de> 3.7.2-1
- Version update
- build with SQLITE_SECURE_DELETE enabled for firefox
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.7.0-1
- Version update
* Wed Apr 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6.23.1-1
- Version update
* Thu Jan 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6.22-1
- Version update
- added fulltext search fts3 support - needed for thunderbird 3.0 indexer
* Tue Nov 24 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.6.20-1
- Version update
* Wed Jul 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.6.16-1
- Version Update
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.6.11-1
- Version Update
* Sat Nov 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.6.6.2-1
- Version Update
* Sat Aug 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.6.1-1
- Version Update
* Sat Jul 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.9-2
- rebuilt as bz2 compressed package
* Sat May 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.9-1
- Version Update
* Fri Mar 14 2008 Christian Metzen <metzench@ccux-linux.de> 3.5.6-1
- Version update
* Tue Apr 24 2007 Christian Metzen <metzench@ccux-linux.de> 3.3.16-1
- Version update
* Mon Jan 08 2007 Christian Metzen <metzench@ccux-linux.de> 3.3.9-1
- Version update
* Tue Oct 10 2006 Christian Metzen <metzench@ccux-linux.de> 3.3.8-1
- Version update
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.3.7-1
- Version Update
* Sat Jul 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.3.6-1
- Version Update
* Sun Feb 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.3.4-1
- Version Update
* Thu Feb 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.3.3-1
- Version Update
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 3.2.8-1
- Version Update
* Sun Oct 02 2005 Christian Wasem <wasem@ccux-linux.de> 3.2.7-2
- added symlink
* Sun Sep 25 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.7-1
- Version update
* Sun Sep 18 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.6-1
- Version update
* Sun Aug 28 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.5-1
- Version update
* Thu Aug 25 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.4-1
- Version update
* Sat Jul 09 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.2-2
- Tweaked specfile, splitted devel package
* Sat Jun 18 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 3.2.2-1
- Inital Release
